import React from 'react';

export const StatsIcon = ({ fill = '#EAF7FF', ...props }) => (
	<svg width='60px' height='60px' viewBox='0 0 60 60' version='1.1' className='stats-icon-components' {...props}>
		<g id='icon-upload-stats' stroke='none' strokeWidth='1' fill='none' fillRule='evenodd'>
			<circle id='path-1' fill={fill} fillRule='nonzero' cx='30' cy='30' r='30' />
			<g id='Group-5' transform='translate(15.000000, 12.000000)'>
				<path
					d='M31,14.5745271 L31,32.425475 C31,33.2971011 30.3305527,34 29.500408,34 L23.499592,34 C22.6694473,34 22,33.2971011 22,32.425475 L22,14.5745271 C22,13.702901 22.6694473,13.0000021 23.499592,13.0000021 L29.500408,13.0000021 C30.3305527,12.9986061 31,13.702901 31,14.5745271 Z'
					id='Fill-1'
					fill='#A9C6E8'
				/>
				<path
					d='M20,23.4996684 L20,32.5003316 C20,33.3305186 19.3305527,34 18.500408,34 L12.499592,34 C11.6694473,34 11,33.3305189 11,32.5003316 L11,23.4996684 C11,22.6694814 11.6694473,22 12.499592,22 L18.500408,22 C19.3305527,22 20,22.6694814 20,23.4996684 Z'
					id='Fill-2'
					fill='#4282E4'
				/>
				<path
					d='M9,18.5933016 L9,32.4066602 C9,33.2887006 8.33055268,33.9999979 7.50040809,33.9999979 L1.49959191,33.9999979 C0.669447316,34.0014091 0,33.2901458 0,32.4081054 L0,18.5947467 C0,17.7112973 0.669447316,17 1.49959191,17 L7.50040809,17 C8.33055268,17 9,17.7112973 9,18.5933377 L9,18.5933016 Z'
					id='Fill-3'
					fill='#626CDD'
				/>
				<path
					d='M28.4353455,0.000395992872 L24.2605207,0.000395992872 C23.3956443,0.000395992872 22.6956888,0.711959185 22.6956888,1.58803942 C22.6956888,2.46411965 23.3956443,3.17568284 24.2605207,3.17568284 L24.655543,3.17568284 L13.8264038,14.166645 L8.67191802,8.93701913 C8.06066775,8.3168583 7.06968797,8.3168583 6.4584377,8.93701913 C5.84718743,9.55717997 5.84718743,10.5626059 6.4584377,11.1827667 L12.72032,17.5359324 C13.0238588,17.843896 13.424427,18 13.8263683,18 C14.2269258,18 14.6274833,17.8453144 14.9338004,17.5345284 L26.8703362,5.42254639 L26.8703362,5.82332718 C26.8703362,6.69940741 27.5702917,7.4109706 28.4351681,7.4109706 C29.3000445,7.4109706 30,6.69940741 30,5.82332718 L30,1.58764342 C30,0.711563192 29.3000445,0 28.4351681,0 L28.4353455,0.000395992872 Z'
					id='Fill-4'
					fill='#626CDD'
				/>
			</g>
		</g>
	</svg>
);
